# AzureCredentialParameters Object

## Description

Specifies parameters for a Microsoft Azure credential.

## Properties

### clientId

Application (client) ID of the Azure credential. Often looks like a GUID.

Type: `string`

Required: Required

### clientSecret

Key value (client secret) of the Azure credential.

Type: `string`

Required: Required

### subscriptionId

Subscription ID of the Azure account. Often looks like a GUID.

Type: `string`

Required: Required

### tenantId

Tenant ID of the Azure Active Directory. Often looks like a GUID.

Type: `string`

Required: Required

## Sample JSON

```javascript
{
    "clientId": "01234567-0123-0123-0123456789ab",
    "clientSecret": "1234567890",
    "subscriptionId": "01234567-0123-0123-0123456789ab",
    "tenantId": "01234567-0123-0123-0123456789ab"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/data-types/azurecredentialparameters-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
